Subject: Re: [TLS] I-D Action: draft-ietf-tls-negotiated-ff-dhe-10.txt

From: "Dave Kern" <[email-masked]>
Date: Wed, 3 Jun 2015 20:04:23 +0000

> Please show me an HTTPS server I can point my DHE-enabled Java 6 and 7

> clients at and have them successfully negotiate a TLS session. I dare you.

I'll rise to the bait. Point your Java client at any current IBM Domino server that is configured according to the current recommendations:

http://www-10.lotus.com/ldd/dominowiki.nsf/dx/TLS_Cipher_Configuration

The only DHE cipher supported by Java 6 and 7 is TLS_DHE_RSA_WITH_AES_128_CBC_SHA (0x0033), so as long as that one cipher is not enabled Java 6 and 7 will end up with something they can handle, such as TLS_RSA_WITH_AES_128_CBC_SHA (0x002F) and modern clients will end up with something stronger.

We also have changes in the current development stream to prioritize 0x0033 below 0x002F as the last of the AES ciphers -- submitted post-Logjam -- and to always use a 1024 bit DH group with 0x0033 instead of the default or configured stronger DH group -- submited pre-Logjam but left in place because being potentially vulnerable to Three Letter Agencies is still better than failing the handshake and transmitting data in the clear.

Servers *can* provide strong DHE groups to modern browsers and avoid loss of compatibility with Java 6 and 7, and it's not even very much work to do so.

Hope that helps,

dave